| Home | Libraries | People | FAQ | More

## Struct template bitset

boost::histogram::axis::option::bitset — Holder of axis options.

## Synopsis

    // In header: <boost/histogram/axis/option.hpp>

    template<unsigned Bits>
    struct bitset : public std::integral_constant< unsigned, Bits > {

      // public static functions
      template<unsigned B> static constexpr auto test(bitset< B >);
    };

## Description

### `bitset` public static functions

1.     template<unsigned B> static constexpr auto test(bitset< B >);

   Returns true if all option flags in the argument are set and false otherwise.